serial

## Enum Stopbits

- java.lang.Object
- - java.lang.Enum<Stopbits>
  - - serial.Stopbits

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Stopbits>

    public enum Stopbits
    extends java.lang.Enum<Stopbits>

Enumeration defines the possible stopbit types for the serial port.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`One` Use 1 as stop bit.
`OnePointFive` Use 1.5 as stopbit.
`Two` Use 2 as stop bit.

### Field Summary

Fields
`int` `value` Internal value of the enumeration.

### Method Summary

Methods
`static Stopbits` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Stopbits[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### One

    public static final Stopbits One

Use 1 as stop bit. This is the default.

#### Two

    public static final Stopbits Two

Use 2 as stop bit.

#### OnePointFive

    public static final Stopbits OnePointFive

Use 1.5 as stopbit.

### Field Detail

#### value

    public final int value

Internal value of the enumeration.

### Method Detail

#### values

    public static Stopbits[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Stopbits c : Stopbits.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Stopbits valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null